org.jbpm.bpmn2.xml

## Class CallActivityHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.CallActivityHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler
  Direct Known Subclasses:
    GetReusableSubProcessesHandler

      public class CallActivityHandler
      extends AbstractNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallActivityHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode(Attributes attrs)`
    `Object` | `end(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `Class` | `generateNodeFor()`
    `protected void` | `handleForEachNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected void` | `readDataInputAssociation(Node xmlNode, SubProcessNode subProcessNode, Map<String,String> dataInputs)`
    `protected void` | `readDataOutputAssociation(Node xmlNode, SubProcessNode subProcessNode, Map<String,String> dataOutputs)`
    `protected void` | `readIoSpecification(Node xmlNode, Map<String,String> dataInputs, Map<String,String> dataOutputs)`
    `protected void` | `writeIO(SubProcessNode subProcessNode, StringBuilder xmlDump)`
    `void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `containsExtensionElements, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, getSignalExpression, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### CallActivityHandler

          public CallActivityHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode(Attributes attrs)

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class generateNodeFor()

    - #### handleNode

          protected void handleNode(Node node,
                        Element element,
                        String uri,
                        String localName,
                        org.drools.core.xml.ExtensibleXmlParser parser)
                             throws SAXException

      Overrides:
        `handleNode` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### end

          public Object end(String uri,
                   String localName,
                   org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Overrides:
        `end` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### readIoSpecification

          protected void readIoSpecification(Node xmlNode,
                                 Map<String,String> dataInputs,
                                 Map<String,String> dataOutputs)

      Overrides:
        `readIoSpecification` in class `AbstractNodeHandler`

    - #### readDataInputAssociation

          protected void readDataInputAssociation(Node xmlNode,
                                      SubProcessNode subProcessNode,
                                      Map<String,String> dataInputs)

    - #### readDataOutputAssociation

          protected void readDataOutputAssociation(Node xmlNode,
                                       SubProcessNode subProcessNode,
                                       Map<String,String> dataOutputs)

    - #### handleForEachNode

          protected void handleForEachNode(Node node,
                               Element element,
                               String uri,
                               String localName,
                               org.drools.core.xml.ExtensibleXmlParser parser)
                                    throws SAXException

      Throws:
        `SAXException`

    - #### writeNode

          public void writeNode(Node node,
                       StringBuilder xmlDump,
                       int metaDataType)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`

    - #### writeIO

          protected void writeIO(SubProcessNode subProcessNode,
                     StringBuilder xmlDump)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.